Issue 36885

Summary: flat XML filters don't support OLE objects
Product: xml Reporter: glu <gavin.lu>
Component: codeAssignee: jogi
Status: CLOSED FIXED QA Contact: issues@xml <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: 680m55   
Target Milestone: OOo 2.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 29596, 25570, 29588, 43230    
Attachments:
Description Flags
file with MSO Math OLE object
none
mso file with chart object
none
Flat XML XSLT styleshaeet none

Description glu 2004-11-09 08:29:44 UTC
Currently flat XML filters of OOo or OASIS file formats don't support OLE
objects, i.s. if you save any files with OLE objects (MSO Math, Chart, etc) to
flat XML files of OOo or OASIS, you can't open these files and see those OLE
objects again, although the binary data of these objects (base-64 encoded) are
saved in the flat XML files already.

Due to this bug,  important features of importing MsWordXML files with OLE
objects (e.g. Math, Chart, etc) are impossible to implement.
Comment 1 glu 2004-11-09 08:33:12 UTC
Created attachment 19115 [details]
file with MSO Math OLE object
Comment 2 glu 2004-11-09 08:34:01 UTC
Created attachment 19116 [details]
mso file with chart object
Comment 3 michael.brauer 2004-11-09 13:09:27 UTC
Gavin, I don't see any other features except Math and chart objects that cannot
be imported and exported if OLE objects don't work. For this reason, P3 seems to
be mor apropriate.

However, it is not yet known wheter BASE64 enxoced OLE objects are compatible
between WordProcessingML and Open Office XML.
Comment 4 glu 2004-11-10 01:21:08 UTC
I think other OLE objects native to MSO e.g. spreadsheet, or others can't be
imported in until OOo supports importing MSO-base64-encoded OLE object in its
flat XML filter. 

Perhaps there're something different between the base64-encoding style of OOo
OLE objects and MSO OLE objects.

But at least now, OOo can't readin/import its own saved flat XML files by its
flat XML fitler, showing OLE objects correctly, it's a bug obviously, and fixing
it is a first step to implement   supporting OLE objects from MSO files.
Comment 5 michael.brauer 2005-01-04 12:08:02 UTC
MIB->MAV: There have been several issues in the XML filter implementation that
prevented (internal and external) OLE objects from being loaded in the flat file
format. I've resolved these issues in the CWS oasisbf4, but external OLE object
still do not work. My assumption is that they are not inserted into the embedded
object container at all, because some code is missing in
SvXMLEmbeddedObjectHelper::ImplReadObject (svx/source/xml/xmleohlp.cxx)


Comment 6 mikhail.voytenko 2005-01-11 13:46:50 UTC
Fixed.
Comment 7 michael.brauer 2005-01-25 12:05:56 UTC
reopened for reassign
Comment 8 michael.brauer 2005-01-25 12:06:39 UTC
.
Comment 9 michael.brauer 2005-01-25 12:08:52 UTC
To verify: Insert a math object and for instance a paintbrush object into a
writer document, save it using a flat xml filter, and reload it.

I will attach an XSLT stylesheet that can be registered as flat XML filter.
Comment 10 michael.brauer 2005-01-25 12:11:19 UTC
Created attachment 21856 [details]
Flat XML XSLT styleshaeet
Comment 11 jogi 2005-01-26 14:41:37 UTC
Now the OLE objects are included in the flat XML component.
Comment 12 glu 2005-01-30 01:36:46 UTC
close it.
Comment 13 jogi 2005-01-31 12:02:32 UTC
QA will close that issue not development.
Comment 14 jogi 2005-01-31 12:02:58 UTC
setting to fixed.
Comment 15 jogi 2005-01-31 12:03:24 UTC
verified.
Comment 16 glu 2005-02-02 02:27:57 UTC
close it.
Comment 17 jogi 2005-02-02 07:14:10 UTC
it has not been verified in the MASTER by the QA, reopening.
Comment 18 jogi 2005-02-02 07:14:35 UTC
fixed
Comment 19 jogi 2005-02-02 07:15:02 UTC
verified
Comment 20 jogi 2005-02-09 19:07:04 UTC
SRC680m78 has a problem with external OLE objects. Can not test it in the
MASTER. #i42331#
Comment 21 jogi 2005-02-25 11:48:11 UTC
Tested with internal and external OLE objects and works fine (PwrPt 2003, Math)
in m81.